gnutls_privkey_import_openpgp(3)

NAME
gnutls_privkey_import_openpgp - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_import_openpgp(gnutls_privkey_t pkey, gnutls_openpgp_privkey_t key, unsigned int flags);

ARGUMENTS

gnutls_privkey_t pkey
    The private key

gnutls_openpgp_privkey_t key
    The private key to be imported

unsigned int flags
    Flags for the import

DESCRIPTION
This function will import the given private key to the abstract gnutls_privkey_t type. The gnutls_openpgp_privkey_t object must not be deallocated during the lifetime of this structure. The subkey set as preferred will be used, or the master key otherwise.
 flags might be zero or one of GNUTLS_PRIVKEY_IMPORT_AUTO_RELEASE and GNUTLS_PRIVKEY_IMPORT_COPY.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/